#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Jun  5 17:16:13 2026

@author: leonhardtm
"""

import numpy as np
import matplotlib.pyplot as plt
import pandas as pd
from pathlib import Path

X=pd.read_csv(Path(__file__).resolve().parent.parent/"DATA"/"FIG9"/'StableSteadyStates_Optimized_nc_4.csv')
X_data=X.to_numpy()


C=['C0','C1','C2','C4','gold','C7','C5','C9']
plt.rcParams['axes.labelsize']=15
fig,axs=plt.subplots(figsize=(6,4))

plt.plot(X_data[:,0],X_data[:,1],'.',color=C[0],markersize=5)
plt.plot(X_data[:,0],X_data[:,2],'.',color=C[0],markersize=5,label=X.columns[2])
plt.plot(X_data[:,0],X_data[:,3],'s',color=C[1],markersize=3,label=X.columns[3])
plt.plot(X_data[:,0],X_data[:,4],'p',color=C[6],markersize=3,label=X.columns[4])
plt.plot(X_data[:,0],X_data[:,5],'*',color=C[5],markersize=3,label=X.columns[5])
plt.plot(X_data[:,0],X_data[:,6],'d',color=C[7],markersize=3,label=X.columns[6])
plt.plot(X_data[:,0],X_data[:,7],'1',color=C[3],markersize=4,label=X.columns[7])
plt.plot(X_data[:,0],X_data[:,8],'v',color=C[4],markersize=3,label=X.columns[8])
plt.plot(X_data[:,0],X_data[:,9],marker="$o$",color=C[2],markersize=3,label=X.columns[9],linestyle='None')


plt.legend()    
plt.xlabel(r'$g(\omega_C)$')
plt.ylabel(r'$Z_\mathrm{tot}/n_c$')
plt.tick_params(direction='in',labelsize=15)
plt.ylim((-0.525,0.007))




